Bug 481306 - Fedora 10 will not boot on Dell Optiplex 320
Fedora 10 will not boot on Dell Optiplex 320
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 09:48 EST by Aaron Innes
Modified: 2009-12-18 02:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:40:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aaron Innes 2009-01-23 09:48:54 EST
Description of problem:

In testing Fedora 10, I tried to run a live CD to install on a Dell Optiplex
320 with an intel chipset. The live cd would not boot past 'Loading
initrd0.img....ready.' It gets here and hangs each time. I tested the same CD
on several other dell PC's including an optiplex 330, Vostro 1500 notebook and
a Lattitude D830 notebook. The cd will load successfully and I can install the
OS successfully on each of these machines, except the 320.

The 320 has the most up to date BIOS available and all the hardware passes
testing. What else can I provide that would be helpful?

Version-Release number of selected component (if applicable):

Fedora 10

How reproducible:
Very

Steps to Reproduce:
1. Create Fedora 10 Live CD
2. Insert into Dell Optiplex 320
3. Attempt to boot from CD
  
Actual results:

Hangs at Loading initrd0.img...ready.

Expected results:

Boot into OS

Additional info:
Comment 1 Panagiotis Prokopiou 2009-02-17 14:54:50 EST
I have an Acer Aspire 5920, with a Core 2 Duo and excactly the same thing happens to me too. An ugly way to get around this is to pass "nosmp" at kernel options, but you sacrifice one cpu.

This is not a unique problem on fedora. It also happens on Fedora 10 beta, Mandriva 2009.0, Mandriva 2009.1 Beta and mandriva's kernel-linus-2.6.29-git5 (which is supposed to be vanilla). As can recall not to have any problems with Fedora 10 Alpha, and Fedora 11 Alpha boots fine also.

In the past I had tried nolapic with success, only to find out that when nolapic, nosmp is implied.

It's a very strange error, and i don't have any other way to describe it. I forget to mention that in my case at least, the laptop works normally except display which is left on "ready." with cursor blinking. I can hear the cdrom reading and i'm certain the os is loaded because the brightness of my backlight changes and if i press power botton, the machine shuts down after a while. I can even read /var/log/messages afterwards.

Currently i don't have a fedora installation, but the logs shows nothing. The only difference was that in case of smp timer used IOAPIC while when nosmp it uses PIC.
Comment 2 Panagiotis Prokopiou 2009-02-17 14:58:32 EST
Oh, and also once in a while it may boot normally, but i cannot understand when. It just happens to confuse me while i'm trying to find the correct boot options. So far i have failed with:
- clocksource=pic
- clocksource=jiffies
- idle=poll
- nolapic_timer
- mtrr=off
- nohz=off
- highres=off
- pci=nomsi
- pci=noacpi
Comment 3 Chuck Ebbert 2009-02-18 10:17:38 EST
Try the "nohpet" boot option...
Comment 4 Panagiotis Prokopiou 2009-02-18 17:26:29 EST
No luck. nohpet failed too.
Comment 5 Kyle Spraggs 2009-03-06 11:05:59 EST
I was able to get my Optiplex 320 to install using hpet=disable pci=nosmi textinst but now it won't boot. I'm guessing it has to do with the Grub bootloader issue. One step at a time...
Comment 6 Michael Wiktowy 2009-04-14 11:41:43 EDT
Did you try booting with the kernel parameter acpi=off (disables SMP ... this is the more aggressive option) or acpi=ht (does not disable SMP)? I was getting the same symptoms on current Rawhide on an Optiplex 760 and either one of these parameters allowed the machine to boot normally.
Comment 7 Thomas J. Baker 2009-10-15 11:03:06 EDT
Optiplex 320, latest BIOS 1.1.12. Only acpi=off works for me. Fedora 11 boots fine but I need Fedora 10 in this case.
Comment 8 Bug Zapper 2009-11-18 05:50:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:40:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.